%global gem_name yell

%if 0%{?rhel} && 0%{?rhel} <= 7
%global use_tests 0
%else
%global use_tests 1
%endif

Name:           rubygem-%{gem_name}
Version:        2.0.7
Release:        2%{?dist}
Summary:        Yell - Your Extensible Logging Library

Group:          Development/Languages
License:        MIT
URL:            https://github.com/rudionrails/yell
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildArch:      noarch
BuildRequires:  rubygems-devel
%if 0%{?use_tests}
BuildRequires:  rubygem(activesupport)
BuildRequires:  rubygem(byebug)
BuildRequires:  rubygem(rspec) >= 3
BuildRequires:  rubygem(rspec-expectations)
BuildRequires:  rubygem(rspec-its)
BuildRequires:  rubygem(rspec-mocks)
BuildRequires:  rubygem(timecop)
%endif
%if 0%{?rhel} && 0%{?rhel} <= 7
Requires:       ruby(rubygems)
Provides:       rubygem(%{gem_name}) = %{version}-%{release}
%endif

%description
Yell - Your Extensible Logging Library. Define multiple adapters, various log
level combinations or message formatting options like you've never done
before.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
%if 0%{?use_tests}
pushd .%{gem_instdir}
rspec -Ilib spec
popd
%endif


%files
%dir %{gem_instdir}/
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}/
%{gem_spec}
%exclude %{gem_instdir}/spec/
%exclude %{gem_instdir}/yell.gemspec
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}/
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/examples/


%changelog
* Sun Aug 27 2017 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-2
- Better build dependencies
- Mark examples as documentation

* Thu May 11 2017 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-1
- Initial package
